Subject: Re: linux-next: build failure after merge of the staging tree

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Fri, 17 Feb 2012 11:01:20 -0500

> It is in next-20120215 (and has been since next-20120124).  However, I
> merge Konrad's (tmem) tree *after* I merge the staging tree, so that commit
> was not present when I tried to build linux-next after merging the
> staging tree.
> 
> > > > Caused by commit 19ee3ef5f4bb ("staging: ramster: local compression + tmem").
> > > >
> > > > I have used the staging tree from next-20120215 for today.
> > > 
> > > Dan, can you please fix this?
> > 
> > Hmmm... moving target.  I'm trying to get in touch with Konrad
> > to see if we can determine what is going on.
> 
> See above.
> 
> > The good news is that there seems to be an increasing number
> > of people contributing to and building things on top of
> > cleancache/frontswap stuff.  The bad news is that it is difficult
> > to avoid ordering dependencies that affect -next.  My apologies
> > and if you have any dependency-savvy processes that would solve
> > this that we are not using, please let me/us know.
> 
> Well, if anyone had bothered to tell me, I could have reordered the
> trees.  However, that does not change the fact that the staging tree is
> now broken on its own.  Which means that Greg can't even do unit testing
> on his tree with your code in it. :-(

Yikes. Stephen, if it is not too much trouble could you move my tree up
just a notch (or a couple) in your awesome build system? I hadn't realized
this dependency (thought it is obvious in hindsight).

Thanks!

P.S.
That won't fix Greg building his own linux-tree by itself, and the option of
using CONFIG_BROKEN should work just fine until 3.4 and which point that can be
reverted.